'use strict';

const fs = require('fs');
const glob = require('fast-glob');
const plugin = require('tailwindcss/plugin');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const glob__default = /*#__PURE__*/_interopDefaultLegacy(glob);
const plugin__default = /*#__PURE__*/_interopDefaultLegacy(plugin);

function index(options) {
  return plugin__default(function(api) {
    const files = glob__default.sync(options.content);
    const obj = {};
    files.forEach((file) => {
      const content = fs.readFileSync(file, { encoding: "utf-8" });
      const matches = content.matchAll(/(\.[^\s]+)\s*{/g);
      for (let match of matches) {
        const component = match[1];
        obj[component] = {};
      }
    });
    api.addComponents(obj);
  });
}

module.exports = index;
